
From: Marcelo Tosatti <marcelo.tosatti@cyclades.com>

Remove completly bogus comment from did_some_progress != 0 handling (that
same comment is a few lines below on did_some_progress = 0 case, where it
belongs).

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/page_alloc.c |    6 ------
 1 files changed, 6 deletions(-)

diff -puN mm/page_alloc.c~remove-completly-bogus-comment-inside-__alloc_pages-try_to_free_pages-handling mm/page_alloc.c
--- devel/mm/page_alloc.c~remove-completly-bogus-comment-inside-__alloc_pages-try_to_free_pages-handling	2005-07-06 01:52:41.000000000 -0700
+++ devel-akpm/mm/page_alloc.c	2005-07-06 01:52:41.000000000 -0700
@@ -897,12 +897,6 @@ rebalance:
 	cond_resched();
 
 	if (likely(did_some_progress)) {
-		/*
-		 * Go through the zonelist yet one more time, keep
-		 * very high watermark here, this is only to catch
-		 * a parallel oom killing, we must fail if we're still
-		 * under heavy pressure.
-		 */
 		for (i = 0; (z = zones[i]) != NULL; i++) {
 			if (!zone_watermark_ok(z, order, z->pages_min,
 					       classzone_idx, can_try_harder,
_
